package com.mortals.xhx.modules.implementlist.dao.ibatis;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.modules.implementlist.dao.RybMatterDao;
import com.mortals.xhx.modules.implementlist.model.ImplementlistEntity;
import com.mortals.xhx.modules.implementlist.model.RybMatterListEntry;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* <p>Title: 实施清单主表</p>
* <p>Description: ImplementlistDaoImpl DAO接口 </p>
* @author
* @version 1.0.0
*/
@Repository("rybMatterDao")
public class RybMatterDaoImpl extends BaseCRUDDaoMybatis<ImplementlistEntity,Long> implements RybMatterDao {

    @Override
    public List<RybMatterListEntry> find(String eventCode) {
        return getSqlSession().selectList(getSqlId("findRyb"),eventCode);
    }

    @Override
    public void inserts(List<RybMatterListEntry> informationQueries) {
        getSqlSession().insert(getSqlId("insertRyb"),informationQueries);
    }
}
